## libtermkey 0.17

=== debian/changelog ===
libtermkey (0.17-2) unstable; urgency=medium

  * Build against unibilium rather than ncurses.
  * Make libtermkey-dbg M-A: same

 -- James McCoy <jamessan@debian.org>  Wed, 17 Jun 2015 23:54:30 -0400

libtermkey (0.17-1) unstable; urgency=low

  * Initial upload (Closes: #603298)

 -- James McCoy <jamessan@debian.org>  Thu, 07 May 2015 23:30:15 -0400

## libtermkey 0.18

=== Makefile ===
pkgconfig = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(1))

ifeq ($(shell uname),Darwin)
  LIBTOOL ?= glibtool
else
  LIBTOOL ?= libtool
endif

ifneq ($(VERBOSE),1)
  LIBTOOL +=--quiet
endif

override CFLAGS +=-Wall -std=c99

ifeq ($(DEBUG),1)
  override CFLAGS +=-ggdb -DDEBUG
endif

ifeq ($(PROFILE),1)
  override CFLAGS +=-pg
  override LDFLAGS+=-pg
endif

ifeq ($(call pkgconfig, --atleast-version=0.1.0 unibilium && echo 1),1)
  override CFLAGS +=$(call pkgconfig, --cflags unibilium) -DHAVE_UNIBILIUM
  override LDFLAGS+=$(call pkgconfig, --libs   unibilium)
else ifeq ($(call pkgconfig, tinfo && echo 1),1)
  override CFLAGS +=$(call pkgconfig, --cflags tinfo)
  override LDFLAGS+=$(call pkgconfig, --libs   tinfo)
else ifeq ($(call pkgconfig, ncursesw && echo 1),1)
  override CFLAGS +=$(call pkgconfig, --cflags ncursesw)
  override LDFLAGS+=$(call pkgconfig, --libs   ncursesw)
else
  override LDFLAGS+=-lncurses
endif

OBJECTS=termkey.lo driver-csi.lo driver-ti.lo
LIBRARY=libtermkey.la

DEMOS=demo demo-async

ifeq ($(call pkgconfig, glib-2.0 && echo 1),1)
  DEMOS+=demo-glib
endif

DEMO_OBJECTS=$(DEMOS:=.lo)

TESTSOURCES=$(wildcard t/[0-9]*.c)
TESTFILES=$(TESTSOURCES:.c=.t)

VERSION_MAJOR=0
VERSION_MINOR=18

VERSION_CURRENT=13
VERSION_REVISION=0
VERSION_AGE=12

PREFIX=/usr/local
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
MANDIR=$(PREFIX)/share/man
MAN3DIR=$(MANDIR)/man3
MAN7DIR=$(MANDIR)/man7

all: $(LIBRARY) $(DEMOS)

%.lo: %.c termkey.h termkey-internal.h
	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

$(LIBRARY): $(OBJECTS)
	$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath $(LIBDIR) -version-info $(VERSION_CURRENT):$(VERSION_REVISION):$(VERSION_AGE) $(LDFLAGS) -o $@ $^

demo: $(LIBRARY) demo.lo
	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^

demo-async: $(LIBRARY) demo-async.lo
	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^

demo-glib.lo: demo-glib.c termkey.h
	$(LIBTOOL) --mode=compile --tag=CC $(CC) -o $@ -c $< $(call pkgconfig, glib-2.0 --cflags)

demo-glib: $(LIBRARY) demo-glib.lo
	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^ $(call pkgconfig, glib-2.0 --libs)

t/%.t: t/%.c $(LIBRARY) t/taplib.lo
	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^

t/taplib.lo: t/taplib.c
	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $^

.PHONY: test
test: $(TESTFILES)
	prove -e ""

.PHONY: clean-test
clean-test:
	$(LIBTOOL) --mode=clean rm -f $(TESTFILES) t/taplib.lo

.PHONY: clean
clean: clean-test
	$(LIBTOOL) --mode=clean rm -f $(OBJECTS) $(DEMO_OBJECTS)
	$(LIBTOOL) --mode=clean rm -f $(LIBRARY)
	$(LIBTOOL) --mode=clean rm -rf $(DEMOS)

.PHONY: install
install: install-inc install-lib install-man
	$(LIBTOOL) --mode=finish $(DESTDIR)$(LIBDIR)

install-inc: termkey.h
	install -d $(DESTDIR)$(INCDIR)
	install -m644 termkey.h $(DESTDIR)$(INCDIR)
	install -d $(DESTDIR)$(LIBDIR)/pkgconfig
	sed "s,@LIBDIR@,$(LIBDIR),;s,@INCDIR@,$(INCDIR)," <termkey.pc.in >$(DESTDIR)$(LIBDIR)/pkgconfig/termkey.pc

install-lib: $(LIBRARY)
	install -d $(DESTDIR)$(LIBDIR)
	$(LIBTOOL) --mode=install install libtermkey.la $(DESTDIR)$(LIBDIR)/libtermkey.la

install-man:
	install -d $(DESTDIR)$(MAN3DIR)
	install -d $(DESTDIR)$(MAN7DIR)
	for F in man/*.3; do \
	  gzip <$$F >$(DESTDIR)$(MAN3DIR)/$${F#man/}.gz; \
	done
	for F in man/*.7; do \
	  gzip <$$F >$(DESTDIR)$(MAN7DIR)/$${F#man/}.gz; \
	done
	while read FROM EQ TO; do \
	  echo ln -sf $$TO.gz $(DESTDIR)$(MAN3DIR)/$$FROM.gz; \
	done < man/also

=== debian/changelog ===
libtermkey (0.18-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 20:54:45 -0500

=== debian/control ===
Source: libtermkey
Priority: extra
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 9), libunibilium-dev, libtool-bin, pkg-config, perl
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.leonerd.org.uk/code/libtermkey/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtermkey.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libtermkey.git/

Package: libtermkey-dev
Section: libdevel
Architecture: any
Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
Description: library for processing keyboard input (development files)
 This library allows easy processing of keyboard entry from terminal-based
 programs. It handles all the necessary logic to recognise special keys, UTF-8
 combining, and so on, with a simple interface.
 .
 This package contains the header files and libraries needed for developing
 with libtermkey.

Package: libtermkey1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for processing keyboard input
 This library allows easy processing of keyboard entry from terminal-based
 programs. It handles all the necessary logic to recognise special keys, UTF-8
 combining, and so on, with a simple interface.  It provides the following
 features:
 .
  * Follows terminfo for every sequence listed there, only falling back on
    other methods to deal with unrecognised input.
  * Recognises special keys (such as arrow and function keys), including
    "modified" keys like Ctrl-Left.
  * Recognises XTerm-style mouse position/button reporting.
  * MIT licenced to allow almost all projects to use it; both Open Source
    and Commercial.
  * Small API - just three functions are needed in simple common cases.
  * Both synchronous (blocking) and asynchronous (non-blocking) APIs are
    supported.

Package: libtermkey-dbg
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Section: debug
Architecture: any
Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
Description: library for processing keyboard input (debug symbols)
 This library allows easy processing of keyboard entry from terminal-based
 programs. It handles all the necessary logic to recognise special keys, UTF-8
 combining, and so on, with a simple interface.
 .
 This package contains detached debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_build-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
	$(MAKE) VERBOSE=1 test

override_dh_strip:
	dh_strip --dbg-package=libtermkey-dbg

## libtermkey 0.19

=== Makefile ===
--- 
+++ 
@@ -49,11 +49,11 @@
 TESTFILES=$(TESTSOURCES:.c=.t)
 
 VERSION_MAJOR=0
-VERSION_MINOR=18
+VERSION_MINOR=19
 
-VERSION_CURRENT=13
+VERSION_CURRENT=14
 VERSION_REVISION=0
-VERSION_AGE=12
+VERSION_AGE=13
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib

=== debian/changelog ===
libtermkey (0.19-1) unstable; urgency=medium

  * New upstream release
    + Drop backported patches

 -- James McCoy <jamessan@debian.org>  Sat, 17 Dec 2016 19:02:20 -0500

libtermkey (0.18-2) unstable; urgency=medium

  * Declare compliance with Policy 3.9.8, no changes needed.
  * Migrate to automatic dbgsym packages.
  * Pass CPPFLAGS through CFLAGS, since upstream Makefile doesn't look at
    CPPFLAGS.
  * Mark libtermkey-dev M-A: same.
  * Cherry-pick a few fixes from upstream:
    + Correct handling of ASCII NUL to imply Ctrl-Space
    + Bugfix for keypad mode switching
    + Endian fix for unicode keys
    + Include <unistd.h> for write+pipe

 -- James McCoy <jamessan@debian.org>  Tue, 11 Oct 2016 19:44:44 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends: debhelper (>= 9), libunibilium-dev, libtool-bin, pkg-config, perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libtermkey/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtermkey.git
@@ -10,6 +10,8 @@
 
 Package: libtermkey-dev
 Section: libdevel
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Architecture: any
 Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
 Description: library for processing keyboard input (development files)
@@ -41,16 +43,3 @@
   * Small API - just three functions are needed in simple common cases.
   * Both synchronous (blocking) and asynchronous (non-blocking) APIs are
     supported.
-
-Package: libtermkey-dbg
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Section: debug
-Architecture: any
-Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
-Description: library for processing keyboard input (debug symbols)
- This library allows easy processing of keyboard entry from terminal-based
- programs. It handles all the necessary logic to recognise special keys, UTF-8
- combining, and so on, with a simple interface.
- .
- This package contains detached debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
-export CFLAGS CPPFLAGS LDFLAGS
+# Makefile doesn't honor CPPFLAGS
+CFLAGS += $(CPPFLAGS)
+
+export CFLAGS LDFLAGS
 
 %:
 	dh $@ --parallel
@@ -22,4 +25,4 @@
 	$(MAKE) VERBOSE=1 test
 
 override_dh_strip:
-	dh_strip --dbg-package=libtermkey-dbg
+	dh_strip --dbgsym-migration='libtermkey-dbg (<< 0.18-2~)'

## libtermkey 0.20

=== debian/changelog ===
libtermkey (0.20-3) unstable; urgency=medium

  * Point Vcs-* to salsa.d.o
  * Change Priority to optional, per Policy 4.0.1
  * d/copyright: Use https URL for copyright format
  * Bump debhelper compat to 11
  * Skip tests if nocheck is in DEB_BUILD_OPTIONS
  * Remove “-pie” from hardening options, so PIE is not disabled
  * Set Rules-Requires-Root to no
  * Declare compliance with Policy 4.1.3

 -- James McCoy <jamessan@debian.org>  Sat, 24 Feb 2018 23:04:42 -0500

libtermkey (0.20-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with policy 4.0.0, no changes needed.

 -- James McCoy <jamessan@debian.org>  Thu, 22 Jun 2017 22:41:44 -0400

libtermkey (0.20-1) experimental; urgency=medium

  * New upstream release
    + Added support for DCS and OSC control sequences

 -- James McCoy <jamessan@debian.org>  Wed, 26 Apr 2017 23:19:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libtermkey
-Priority: extra
+Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 9), libunibilium-dev, libtool-bin, pkg-config, perl
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), libunibilium-dev, libtool-bin, pkg-config, perl
+Standards-Version: 4.1.3
 Section: libs
+Rules-Requires-Root: no
 Homepage: http://www.leonerd.org.uk/code/libtermkey/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtermkey.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libtermkey.git/
+Vcs-Git: https://salsa.debian.org/jamessan/libtermkey.git
+Vcs-Browser: https://salsa.debian.org/jamessan/libtermkey
 
 Package: libtermkey-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Makefile doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)

export CFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) VERBOSE=1 test
endif

override_dh_strip:
	dh_strip --dbgsym-migration='libtermkey-dbg (<< 0.18-2~)'

## libtermkey 0.22

=== debian/changelog ===
libtermkey (0.22-2) unstable; urgency=medium

  [ James McCoy ]
  * Bump debhelper-compat to 13
  * Install man pages in libtermkey-dev
  * Document that *.la files are not installed

  [ Helmut Grohne ]
  * Generate a libtool instead of using libtool-bin (Closes: #1064660)

  [ James McCoy ]
  * Build-Depend on pkgconf instead of pkg-config
  * Declare compliance with Policy 4.6.2, no changes needed
  * Build only the library / tests, not the demos
  * blhc: Ignore compilation of test files
  * Add :native qualifier to perl Build-Depends
  * Add <!nocheck> profile for perl Build-Depends
  * Makefile: Use $PKG_CONFIG, if set, to run pkg-config

 -- James McCoy <jamessan@debian.org>  Wed, 20 Mar 2024 18:38:40 -0400

libtermkey (0.22-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete dbgsym migration
  * Support DEB_BUILD_OPTIONS=terse
  * libtermkey1.symbols: Set Build-Depends-Package
  * Switch to debhelper-compat and set to 12
  * Declare compliance with Policy 4.4.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Fri, 20 Dec 2019 08:27:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,13 @@
 Source: libtermkey
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11~), libunibilium-dev, libtool-bin, pkg-config, perl
-Standards-Version: 4.1.3
+Build-Depends:
+ debhelper-compat (= 13),
+ libtool,
+ libunibilium-dev,
+ perl:native <!nocheck>,
+ pkgconf,
+Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: http://www.leonerd.org.uk/code/libtermkey/
@@ -11,10 +16,13 @@
 
 Package: libtermkey-dev
 Section: libdevel
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Architecture: any
-Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libtermkey1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: library for processing keyboard input (development files)
  This library allows easy processing of keyboard entry from terminal-based
  programs. It handles all the necessary logic to recognise special keys, UTF-8
@@ -24,10 +32,13 @@
  with libtermkey.
 
 Package: libtermkey1
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: library for processing keyboard input
  This library allows easy processing of keyboard entry from terminal-based
  programs. It handles all the necessary logic to recognise special keys, UTF-8

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Makefile doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)

export CFLAGS LDFLAGS

VERBOSE = 1
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	VERBOSE = 0
endif

%:
	dh $@

override_dh_auto_clean: override_dh_auto_configure
	dh_auto_clean -- LIBTOOL="$(CURDIR)/debian/libtool/libtool"
	rm -rf debian/libtool

override_dh_auto_configure:
	mkdir -p debian/libtool
	cp debian/configure.ac debian/libtool/
	env -C debian/libtool LIBTOOLIZE='libtoolize -i' autoreconf -f -i
	dh_auto_configure --sourcedirectory=debian/libtool

override_dh_auto_build-arch:
	dh_auto_build -- VERBOSE=$(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBTOOL="$(CURDIR)/debian/libtool/libtool" libtermkey.la

override_dh_auto_install-arch:
	dh_auto_install -- VERBOSE=$(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp LIBTOOL="$(CURDIR)/debian/libtool/libtool"

override_dh_auto_test:
	@echo 'blhc: ignore-line-regexp: .*\bt/[^.]*.c.*'
	dh_auto_test -- VERBOSE=$(VERBOSE) LIBTOOL="$(CURDIR)/debian/libtool/libtool"
